import { __rest } from "tslib";
import { jsx as _jsx } from "react/jsx-runtime";
import { styled } from '@mui/material/styles';
import { useThemeProps } from '@mui/system';
import classNames from 'classnames';
const PREFIX = 'SCBullet';
const classes = {
    root: `${PREFIX}-root`
};
const Root = styled('span', {
    name: PREFIX,
    slot: 'Root',
    overridesResolver: (props, styles) => [styles.root]
})(() => ({}));
export default function Bullet(inProps) {
    // PROPS
    const _a = useThemeProps({
        props: inProps,
        name: PREFIX
    }), { className } = _a, props = __rest(_a, ["className"]);
    return (_jsx(Root, Object.assign({ className: classNames(className, classes.root) }, props, { children: "\u2022" })));
}
